@echo OFF
cd ..
cd >R:\DBSETUP.DAT
cd DosBox
dosbox -conf _DBMOVE.BAT
del R:\DBSETUP.DAT
goto ex
[DBMOVE]
; This file "cheats" and puts two things relating to DBMOVE into a single file!
; This relies on the fact that DOSBOX does not seem to any data in the file not
; under a [title] it recognized (including before any [] lines)
;
; This part is used by DBSETUP to determine what changes to make.
; This first part with leading numbers defines "start" strings - lines in files
; to be modified must start exactly which these strings (same spacing and case)
1 'mount '
; Batch files can have '@' at start of line to insure it does not echo.
; I usually have "ECHO OFF" so this has no real effect, and makes it easy to
; mark .BAT lines to be updated
2 '@ '

; After the start strings, and the files to be modified, followed by nunbers
; of start strings to apply. Note that you can change, add or remove start
; strings anywhere in this section.
; When scanning these files, DBSETUP looks for on any lines which begine with
; a specified "start string" for the sequence: <OldDrive>:\OldLocation 
;                        and replaces it with: <NewDrive>:\NewLocation
DOSBOX\DOSBOX.INI 1
Dave\WCMDS\DVM.BAT 2

; Following are minimal [sections] needed by DosBox
[cpu]
cycles=max
[autoexec]
@echo OFF
mount C ..
mount R R:\
path C:\DosBox;Z:\
C:
DBSETUP -LW
pause
exit
:ex
